Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000264Core InformRules and rulebookspublic2010-08-25 04:042010-10-28 00:30
ReporterPhonatacid 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000264: Can and cannot "follow the x rules" depending on whether x has been declared with "the x rules" or "the x rulebook"
DescriptionThe following table show the distribution of the error depending on two characteristics:
columns : whether we use "rules" or "rulebook" in the declaration phrase.
rows : whether we use "rules" or "rulebook" in the "follow" phrase.

The x rules is The x rulebook is
follow x rulebook OK OK
follow x rules OK Error


the error being:
In the sentence 'follow the test rules' , I was expecting to read a rule, but instead found some text that I couldn't understand - 'test rules'.
I was trying to match this phrase:

follow (test rules - rule)
This was what I found out:

test rules = something unrecognised
Minimal Source Text To Reproduce
"A test area" by Phonatacid

[THE COMMENTED CODE IS WORKING CODE]

[The test rules is a rulebook.
When play begins:
	follow the test rules.]
	

[The test rulebook is a rulebook.
When play begins:
	follow the test rulebook.]
	
[The test rules is a rulebook.
When play begins:
	follow the test rulebook.]
	
The test rulebook is a rulebook.
When play begins:
	follow the test rules.
	

There is a room.
Additional InformationIdeally this error should disappear, but we could also display a message in the style of:

You wrote 'follow the test rules' : but a rulebook has to be formally referred to in a way making clear that it is indeed a rulebook when we follow it, to reduce the risk of ambiguity. So 'follow the every turn rulebook' is fine, but 'follow the every turn rules' is not.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0000433)
Phonatacid (reporter)
2010-08-25 10:18
edited on: 2010-08-25 10:19

I'd like to point out another surprising behavior:

[code]
"A test area" by Phonatacid
[THE COMMENTED CODE IS WORKING CODE]

There is a room.

The test rulebook[or][rules] is a thing based rulebook.

Test for a thing:
say "print";
[/code]

with message:
You wrote 'Test for a thing' : but the punctuation here ':' makes me think this should be a definition of a phrase and it doesn't begin as it should, with either 'To' (e.g. 'To flood the riverplain:'), 'Definition:', a name for a rule (e.g. 'This is the devilishly cunning rule:'), 'At' plus a time (e.g. 'At 11:12 PM:' or 'At the time when the clock chimes') or the name of a rulebook, possibly followed by some description of the action or value to apply to (e.g. 'Instead of taking something:' or 'Every turn:').

So i guess I have to declare rulebooks with "rules". Always.


Beside, here is the aforementioned table:

.....................................................The x rules is...........................The x rulebook is
follow x rulebook..................................OK..............................................OK
follow x rules.......................................OK.............................................Error

(0000443)
EmacsUser (manager)
2010-08-26 13:25

Confirmed, both cases. The relevant documentation is in WI 18.2:

For convenience, the following forms of rule and rulebook name are synonymous:

advance time = the advance time rule
the instead rules = instead rulebook = instead
(0000515)
graham (administrator)
2010-09-04 15:17

An oversight. I've made this consistent; the test supplied now works as anticipated.

- Issue History
Date Modified Username Field Change
2010-08-25 04:04 Phonatacid New Issue
2010-08-25 10:13 Phonatacid Issue Monitored: Phonatacid
2010-08-25 10:18 Phonatacid Note Added: 0000433
2010-08-25 10:19 Phonatacid Note Edited: 0000433 View Revisions
2010-08-25 10:19 Phonatacid Issue End Monitor: Phonatacid
2010-08-25 12:24 jmcgrew Status new => acknowledged
2010-08-26 13:25 EmacsUser Note Added: 0000443
2010-08-26 13:25 EmacsUser Status acknowledged => confirmed
2010-08-26 13:25 EmacsUser Summary Can and cannot "follow the x rules" depending on wether x has been declared with "the x rules" or "the x rulebook" => Can and cannot "follow the x rules" depending on whether x has been declared with "the x rules" or "the x rulebook"
2010-09-04 15:17 graham Note Added: 0000515
2010-09-04 15:17 graham Status confirmed => resolved
2010-09-04 15:17 graham Resolution open => fixed
2010-09-04 15:17 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker